Page MenuHomePhabricator

Include feature switch to new mention notifications for beta & test wiki deployment
Closed, ResolvedPublic3 Story Points

Description

To have it activated on beta & test wikipedia first before releasing it to the wiki world!

Background:
This task is based on a wish that received 21 points (#9) in the German Community Wishlist[1]. Originally, the wish was to receive an information about the sent messages. To help people use mentions in a way that they are sent, we have also included notifications about mention failures, which add the reasons for the failure as well.

[1] Link to wish (in German): https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Topw%C3%BCnsche#Bei_Speichern_Hinweis_.C3.BCber_abgegebene_Benachrichtigungen_.5BUmfrage_2015.5D
in English: https://meta.wikimedia.org/wiki/WMDE_Technical_Wishes#Notifications_about_failed_mentions

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 13 2016, 12:49 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
WMDE-Fisch renamed this task from Deployment checklist for mention-notification to Include feature switch to new mention notifications.Jul 14 2016, 2:47 PM
WMDE-Fisch updated the task description. (Show Details)
WMDE-Fisch set the point value for this task to 3.
WMDE-Fisch moved this task from Proposed to Backlog on the TCB-Team-Sprint-2016-07-14 board.
Lea_WMDE renamed this task from Include feature switch to new mention notifications to Include feature switch to new mention notifications for test wiki deployment.Jul 14 2016, 4:08 PM
Lea_WMDE updated the task description. (Show Details)
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 22 2016, 10:30 AM
Addshore renamed this task from Include feature switch to new mention notifications for test wiki deployment to Include feature switch to new mention notifications for beta & test wiki deployment.Jul 26 2016, 10:50 AM
Addshore updated the task description. (Show Details)

Change 301098 had a related patch set (by Addshore) published:
beta wgEchoMentionStatusNotifications default true

https://gerrit.wikimedia.org/r/301098

Change 301098 merged by jenkins-bot:
beta wgEchoMentionStatusNotifications default true

https://gerrit.wikimedia.org/r/301098

Even though https://gerrit.wikimedia.org/r/#/c/301098 has been merged it doesn't look like beta has the feature enabled.

Change 301820 had a related patch set uploaded (by Addshore):
Beta move $wgEchoMentionStatusNotifications to CommonSettings

https://gerrit.wikimedia.org/r/301820

Change 301820 merged by jenkins-bot:
Beta move $wgEchoMentionStatusNotifications to CommonSettings

https://gerrit.wikimedia.org/r/301820

Addshore closed this task as Resolved.Aug 2 2016, 9:47 AM